Subject: Re: Kernel 2.6.13 breaks libpcap (and tcpdump).

From: Patrick McHardy <[email-masked]>
Date: Sun, 04 Sep 2005 19:31:26 +0200

Patrick McHardy wrote:
> Herbert Xu wrote:
> 
>> We aren't handling the reading of specific fields like the IP protocol
>> field correctly.  This patch should make it work again.
> 
> 
> I can't spot the problem, could you give me a hint?

Never mind, I got it, we never fall through to the second switch
statement anymore. I think we could simply break when load_pointer
returns NULL. The switch statement will fall through to the default
case and return 0 for all cases but 0 > k >= SKF_AD_OFF.